cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/timesheets/ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.timesheets.get_timesheet("ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.timesheets.getTimesheet('ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->timesheets->getTimesheet('ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.timesheets.timesheets_dto.TimesheetsDto;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<TimesheetsDto.Timesheets> response = client.timesheets().getTimesheet(
"ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Timesheets.GetTimesheetAsync("ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.timesheets.getTimesheet(
'ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Timesheets().GetTimesheet(context.Background(), "ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"timesheet": {
"activity_logs": [
{
"activity": "<string>"
}
],
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"end_time": "<string>",
"href": "<string>",
"id": "<string>",
"labour": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"last_updated_by": null,
"last_updated_on": null,
"object": "<string>",
"sale_order": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"sale_order_item": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"start_time": "<string>",
"status": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Timesheets
Retrieve a timesheet
Retrieves one timesheet by its ts_ id.
GET
/
timesheets
/
{timesheet_id}
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/timesheets/ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.timesheets.get_timesheet("ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1")
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.timesheets.getTimesheet('ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1');
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->timesheets->getTimesheet('ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1');
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.timesheets.timesheets_dto.TimesheetsDto;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<TimesheetsDto.Timesheets> response = client.timesheets().getTimesheet(
"ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1");
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Timesheets.GetTimesheetAsync("ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1");
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.timesheets.getTimesheet(
'ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1',
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Timesheets().GetTimesheet(context.Background(), "ts_6a5b4c3d2e1f40a9b8c7d6e5f4a3b2c1", nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"timesheet": {
"activity_logs": [
{
"activity": "<string>"
}
],
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"end_time": "<string>",
"href": "<string>",
"id": "<string>",
"labour": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"last_updated_by": null,
"last_updated_on": null,
"object": "<string>",
"sale_order": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"sale_order_item": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"start_time": "<string>",
"status": "<string>",
"version": 123
}
}{
"object": "<string>",
"request_id": "<string>",
"status": 123,
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"errors": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>"
}
]
}Returns the timesheet under
timesheet, including its activity_logs. Use the ts_ id that the list and the create return.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The timesheet's id, which starts with ts_, as the create and the listing return it.
Response
The timesheet, under timesheet.
Show child attributes
Show child attributes